Loading...
Searching...
No Matches
NoCounter Class Reference
Tools and Utilities » Miscellaneous Tools » Time Measuring and Counting

## Detailed Description

This class can be used in the same way as Counter, but it does not count at all and does not print report on destruction.

Replacing a Counter with a NoCounter makes it possible to turn off all counting and reporting (SubCounters should also be replaced with NoSubCounters), so it does not affect the efficiency of the program at all.

See also
  Counter

`#include <lemon/counter.h>`